Skip to main content

Get Template

GET /api/templates/:id
Returns a single template by its ID.

Path parameters

ParameterTypeDescription
idstringThe template ID

Request

curl "https://prismvideos.com/api/templates/abc123" \
  -H "Authorization: Bearer prism_sk_your_key_here"

Response

{
  "data": {
    "id": "abc123",
    "title": "UGC Product Pitch",
    "description": "Creator talks to camera and shows product with CTA",
    "category": "beauty",
    "duration_sec": 20,
    "input_variables": [
      {
        "key": "hook",
        "label": "Hook",
        "type": "text",
        "required": true,
        "max_length": 140
      },
      {
        "key": "productImage",
        "label": "Product Image",
        "type": "image",
        "required": true
      }
    ],
    "prompt_template": "Create a UGC ad with {{hook}}. Show {{productImage}}."
  }
}

Errors

StatusErrorWhen
404not_foundNo template exists with the given ID
401unauthorizedMissing or invalid API key
403forbiddenAPI key lacks templates:read scope
See Errors for the full error reference.